---------------------------------
-- DB Sequences for Auto-GEN PKs
---------------------------------

CREATE SEQUENCE SQ_REQUESTS_PK
START WITH 5
INCREMENT BY 1;

CREATE SEQUENCE SQ_JOB_USERS_PK
START WITH 6
INCREMENT BY 1;


---------------------------------
-- DB Triggers for Auto-GEN PKs
---------------------------------

CREATE OR REPLACE TRIGGER TR_INSERT_REQUESTS_PK
BEFORE INSERT ON REQUESTS
FOR EACH ROW
BEGIN
	SELECT SQ_REQUESTS_PK.NEXTVAL INTO :NEW.REQUESTS_NUMBER FROM DUAL;	
END;
/


CREATE OR REPLACE TRIGGER TR_INSERT_JOB_USERS_PK
BEFORE INSERT ON JOB_USERS 
FOR EACH ROW
BEGIN
	SELECT SQ_JOB_USERS_PK.NEXTVAL INTO :NEW.USER_NUMBER FROM DUAL;	
END;
/